Name:           datovka
Version:        2.1.2
Release:        3%{?dist}
Summary:        A free graphical interface for Czech Databox (Datové schránky)
Group:          Applications/Communications
License:        LGPLv2+
URL:            http://labs.nic.cz/datove-schranky/
Source0:        http://www.nic.cz/public_media/datove_schranky/releases/datovka-%{version}/src/%{name}-%{version}.tar.gz
# use system font, sent upstream
Patch0:         datovka-2.1.2-use-sysfont.patch
BuildArch:      noarch
Requires:       python-dslib >= 2.0, python-reportlab, python-sqlalchemy
Requires:       pygtk2, python-pyasn1, dejavu-sans-fonts
BuildRequires:  python-setuptools, desktop-file-utils

%description
GUI application allowing access to Czech Databox - an electronic communication
interface endorsed by the Czech government.

%prep
%setup -q
%patch0 -p1 -b .use-sysfont

sed -i 's/Office/Office;/g' %{name}.desktop

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
%{__python} setup.py install --single-version-externally-managed \
    --root=%{buildroot}

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

# move docs to right place
mkdir -p %{buildroot}%{_docdir}/%{name}-%{version}
mv %{buildroot}%{_datadir}/%{name}/doc/* %{buildroot}%{_docdir}/%{name}-%{version}
rmdir %{buildroot}%{_datadir}/%{name}/doc

# remove hashbangs
pushd %{buildroot}%{python_sitelib}/%{name}
for f in *.py
do
  sed -i '/^[ \t]*#!\/usr\/bin\/env/ d' $f
done
popd

# remove fonts
rm -f %{buildroot}%{_datadir}/%{name}/fonts/*
rmdir %{buildroot}%{_datadir}/%{name}/fonts

%find_lang %{name}

%post
%{_bindir}/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{_bindir}/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    %{_bindir}/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
%{_bindir}/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%doc LICENSE README.txt
%{python_sitelib}/*
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*

%changelog
* Tue Oct  2 2012 Jaroslav Škarvada <jskarvad@redhat.com> - 2.1.2-3
- Unbundled fonts

* Tue Sep 25 2012 Jaroslav Škarvada <jskarvad@redhat.com> - 2.1.2-2
- Replaced some hardcoded paths by macros

* Wed Sep 05 2012 Jaroslav Škarvada <jskarvad@redhat.com> - 2.1.2-1
- Initial version
